#include "StateImage.h"

StateImage::StateImage() {
}

StateImage::StateImage(const StateImage& other) {
    for (int i = 0; i < STATE_MAX; ++i) {
        m_stateImages[i] = other.m_stateImages[i];
    }
}

StateImage::StateImage(const StateImage::PathArray& stateImages) {
    setStateImages(stateImages);
}

void StateImage::setStateImage(State st, const Glib::ustring& imgpath) {
    if (STATE_NORMAL <= st && STATE_INVALID > st) {
        m_stateImages[st] = imgpath;
    }
}

void StateImage::setStateImages(const StateImage::PathArray& stateImages) {
    for (int i = 0; i < STATE_MAX; ++i) {
        m_stateImages[i] = stateImages[i];
    }
}

const StateImage::PathArray& StateImage::getStateImages() {
    return m_stateImages;
}

StateImage& StateImage::operator=(const StateImage& other) {
    for (int i = 0; i < STATE_MAX; ++i) {
        m_stateImages[i] = other.m_stateImages[i];
    }
    return *this;
}